## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond check 1

Name:           python-astdoc
Version:        1.0.0
Release:        %autorelease
Summary:        Library for parsing AST and extracting docstring information

License:        MIT
URL:            https://github.com/daizutabi/astdoc
Source:         %{pypi_source astdoc}

BuildArch:      noarch
BuildRequires:  python3-devel

%if %{with check}
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
%endif

%global _description %{expand:
This package provides a lightweight Python library for parsing and analyzing
abstract syntax trees (AST) and extracting docstring information. Designed to
facilitate the documentation process, astdoc provides tools for developers to
easily access, manipulate, and generate documentation from Python code.}

%description %_description

%package -n     python3-astdoc
Summary:        %{summary}

%description -n python3-astdoc %_description

%prep
%autosetup -p1 -n astdoc-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l astdoc

%check
%if %{with check}
%pytest -v
%else
%pyproject_check_import
%endif

%files -n python3-astdoc -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sun Feb 23 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.0-1
- Initial import; Fixes: RHBZ#2347103
## END: Generated by rpmautospec
